Create an Embed Auth Link
curl --request POST \
--url https://thirdparty.qonto.com/v1/embed_auth_links \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"embed_auth_link": {
"post_authn_action": "create_payment_link",
"callback_url": "https://your-website.com/callback"
}
}
'import requests
url = "https://thirdparty.qonto.com/v1/embed_auth_links"
payload = { "embed_auth_link": {
"post_authn_action": "create_payment_link",
"callback_url": "https://your-website.com/callback"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
embed_auth_link: {
post_authn_action: 'create_payment_link',
callback_url: 'https://your-website.com/callback'
}
})
};
fetch('https://thirdparty.qonto.com/v1/embed_auth_links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"embed_auth_link": {
"url": "https://embed.qonto.com/embed-auth-link/b079da82-0226-41a6-a39a-95b16c288915",
"post_authn_action": "create_payment_link",
"callback_url": "https://your-website.com/callback",
"expired_at": "2023-11-07T05:31:56Z",
"used_at": "2023-11-07T05:31:56Z"
}
}Embed Auth Links
Create an Embed Auth Link
OAuth scope: embed_auth_link.write
Allows you to create an Embed Auth Link.
Embed Auth Links allows your customers to seamlessly authenticate to Qonto Embed’s Hosted Pages. Authentication works both for Hosted Pages served via redirect and iframe.
POST
/
v1
/
embed_auth_links
Create an Embed Auth Link
Authorizations
Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.
Headers
Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.
Body
application/json
Show child attributes
Show child attributes
Response
The embed auth link has been created successfully.
Show child attributes
Show child attributes
Was this page helpful?
⌘I